[colors]
background = #21201E
foreground = #EAD17F
primary = #F0C674
secondary = #8ABEB7
yellow = #d79921
blue = #458588
purple = #b16286
eggplant = #3E2441
red = #E01D4D
white = #ebdbb2
aqua = #689d6a
orange = #fe8019
leather = #C48E4E
green = #99B465
alert = #A54242
disabled = #76573A

[bar/primary]
monitor = DP-0

width = 100%
height = 30
enable-ipc = true
fixed-center = true
wm-restack = bspwm
override-redirect = false

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3

font-0 = FiraCode Nerd Font Mono:style=bold:size=13;3
font-1 = JetBrainsMono Nerd Font Mono:style=bold:size=13;2

modules-left = bspwm xwindow
modules-center = date
modules-right = pulseaudio filesystem cpu memory eth powermenu

[bar/secondary]
monitor = DP-4

width = 100%
height = 30
fixed-center = true
wm-restack = bspwm
tray-position = right
override-redirect = false

background = ${colors.background}
foreground = ${colors.foreground}

font-0 = FiraCode Nerd Font Mono:style=bold:size=13;3
font-1 = JetBrainsMono Nerd Font Mono:style=bold:size=13;2

modules-left = bspwm xwindow
modules-center = date
# modules-right = 

[module/bspwm]
type = internal/bspwm
pin-workspaces = true
enable-click = true

ws-icon-0 = term;
ws-icon-1 = browser;
ws-icon-2 = game;
ws-icon-3 = code;
ws-icon-4 = mail;
ws-icon-5 = browser2;
ws-icon-6 = comm;
ws-icon-7 = music;
ws-icon-8 = server;
ws-icon-9 = misc;
ws-icon-10 = tmp;

format = <label-state>

label-focused = %icon%
label-focused-background = ${colors.eggplant}
label-focused-padding = 2
; label-focused-underline = ${colors.red}

label-occupied = %icon%
label-occupied-padding = 2

label-urgent = %icon%
label-urgent-padding = 2
label-urgent-background = ${colors.alert}

label-empty = %icon%
label-empty-padding = 2
label-empty-foreground = ${colors.disabled}

label-separator = |
label-separator-foreground = ${colors.disabled}

[module/pulseaudio]
type = internal/pulseaudio
use-ui-max = false

format-volume = <ramp-volume> <label-volume>
label-volume = %percentage%%
format-volume-foreground = ${colors.green}
format-volume-padding = 2
ramp-volume-0 = "奄"
ramp-volume-1 = "奔"
ramp-volume-2 = "墳"

label-muted = "婢"
label-muted-foreground = ${colors.disabled}
format-muted-padding = 2

click-middle = pavucontrol

[module/cpu]
type = internal/cpu
interval = 2
format-prefix = " "
label = %percentage:2%%
format-foreground = ${colors.purple}
format-padding = 2

[module/memory]
type = internal/memory
interval = 2
format-prefix = " "
label = %percentage_used:2%%
format-foreground = ${colors.red}
format-padding = 2

[network-base]
type = internal/network
interval = 5
format-connected = <label-connected>
format-disconnected = <label-disconnected>
label-disconnected = %{F#F0C674}%ifname%%{F#707880} disconnected
format-connected-foreground = ${colors.purple}
format-disconnected-foreground = ${colors.disabled}
format-connected-padding = 2
format-disconnected-padding = 2

[module/wlan]
inherit = network-base
interface-type = wireless
label-connected = %{F#F0C674}%ifname%%{F-} %essid% %local_ip%

[module/eth]
inherit = network-base
interface-type = wired
label-connected = " %local_ip%"

[module/date]
type = internal/date
interval = 1

date = %H:%M
date-alt = %Y-%m-%d %H:%M:%S

label = %date%
label-foreground = ${colors.primary}

[settings]
screenchange-reload = true
pseudo-transparency = true

; vim:ft=dosini
